org.jboss.jca.as.converters

## Interface ConnectionFactory

- All Known Subinterfaces:
    DataSource, LocalTxDataSource, NoTxConnectionFactory, NoTxDataSource, TxConnectionFactory, XaDataSource
  All Known Implementing Classes:
    LegacyConnectionFactoryImp, LegacyTxDataSourceImpl, LegacyXaDataSourceImp

      public interface ConnectionFactory

  Common ConnectionFactory
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ConnectionFactory.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getAllocationRetry()` Get the allocationRetryWaitMillis.
    `java.lang.Long` | `getAllocationRetryWaitMillis()` Get the allocationRetryWaitMillis.
    `java.lang.Long` | `getBackgroundValidationMillis()` Get the backgroundValidationMillis.
    `java.lang.Long` | `getBlockingTimeoutMillis()` Get the blockingTimeoutMillis.
    `java.lang.Long` | `getIdleTimeoutMinutes()` Get the idleTimeoutMinutes.
    `java.lang.String` | `getJndiName()` Get the jndiName.
    `java.lang.Integer` | `getMaxPoolSize()` Get the maxPoolSize.
    `java.lang.Integer` | `getMinPoolSize()` Get the minPoolSize.
    `java.lang.String` | `getSecurityDomain()` get the security domain for pure security-domain security management
    `java.lang.Boolean` | `isBackgroundValidation()` Get the backgroundValidation.
    `java.lang.Boolean` | `isPrefill()` Get the prefill.
    `java.lang.Boolean` | `isUseFastFail()` Get the useFastFail.

- - ### Method Detail

    - #### getJndiName

          java.lang.String getJndiName()

      Get the jndiName.
      Returns:
        the jndiName.

    - #### getSecurityDomain

          java.lang.String getSecurityDomain()

      get the security domain for pure security-domain security management
      Returns:
        the security-domain to use

    - #### getMinPoolSize

          java.lang.Integer getMinPoolSize()

      Get the minPoolSize.
      Returns:
        the minPoolSize.

    - #### getMaxPoolSize

          java.lang.Integer getMaxPoolSize()

      Get the maxPoolSize.
      Returns:
        the maxPoolSize.

    - #### getBlockingTimeoutMillis

          java.lang.Long getBlockingTimeoutMillis()

      Get the blockingTimeoutMillis.
      Returns:
        the blockingTimeoutMillis.

    - #### isBackgroundValidation

          java.lang.Boolean isBackgroundValidation()

      Get the backgroundValidation.
      Returns:
        the backgroundValidation.

    - #### getBackgroundValidationMillis

          java.lang.Long getBackgroundValidationMillis()

      Get the backgroundValidationMillis.
      Returns:
        the backgroundValidationMillis.

    - #### getIdleTimeoutMinutes

          java.lang.Long getIdleTimeoutMinutes()

      Get the idleTimeoutMinutes.
      Returns:
        the idleTimeoutMinutes.

    - #### getAllocationRetry

          java.lang.Integer getAllocationRetry()

      Get the allocationRetryWaitMillis.
      Returns:
        the allocationRetryWaitMillis.

    - #### getAllocationRetryWaitMillis

          java.lang.Long getAllocationRetryWaitMillis()

      Get the allocationRetryWaitMillis.
      Returns:
        the allocationRetryWaitMillis.

    - #### isPrefill

          java.lang.Boolean isPrefill()

      Get the prefill.
      Returns:
        the prefill.

    - #### isUseFastFail

          java.lang.Boolean isUseFastFail()

      Get the useFastFail.
      Returns:
        the useFastFail.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)